org.apache.http.impl.client

## Class ClientParamsStack

- java.lang.Object
- - org.apache.http.params.AbstractHttpParams
  - - org.apache.http.impl.client.ClientParamsStack

- All Implemented Interfaces:
    HttpParams ， HttpParamsNames

  已过时。
  （4.3）使用配置类“org.apache.http.config”和“org.apache.http.client.config”

      @Deprecated
      public class ClientParamsStack
      extends AbstractHttpParams

  表示一组参数集合。 检索参数时，以固定顺序搜索堆栈，并返回第一个匹配项。 不支持通过堆栈设置参数。 为了最小化开销，堆栈具有固定的大小，并且不维护内部阵列。 支持的堆栈条目按照优先级的增加排序：
  1. 应用程序参数：对于应用程序使用的所有客户端，预期是相同的。 这些提供了“全局”，即应用程序范围内的默认值。
  2. 客户端参数：特定于`HttpClient`的一个实例。 这些提供客户端特定的默认值。
  3. 请求参数：特定于单个请求执行。 用于覆盖客户端和全局默认值。
  4. 覆盖参数：特定于`HttpClient`的一个实例。 这些可用于设置不能在每个请求的基础上覆盖的参数。
  每个堆栈条目可以是`null` 。 这比空的params集合更为可取，因为它避免了在查找参数时搜索空集合。
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HttpParams` | `applicationParams` 已过时。 应用程序参数集合，或 `null` 。
    `protected HttpParams` | `clientParams` 已过时。 客户端参数集合，或 `null` 。
    `protected HttpParams` | `overrideParams` 已过时。 覆盖参数集合，或 `null` 。
    `protected HttpParams` | `requestParams` 已过时。 请求参数集合，或 `null` 。

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `ClientParamsStack(ClientParamsStack stack)` 已过时。 创建参数堆栈的副本。
    `ClientParamsStack(ClientParamsStack stack, HttpParams aparams, HttpParams cparams, HttpParams rparams, HttpParams oparams)` 已过时。 创建参数堆栈的修改副本。
    `ClientParamsStack(HttpParams aparams, HttpParams cparams, HttpParams rparams, HttpParams oparams)` 已过时。 从元素创建一个新的参数堆栈。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpParams` | `copy()` 已过时。 不复制参数。
    `HttpParams` | `getApplicationParams()` 已过时。 获取此堆栈的应用程序参数。
    `HttpParams` | `getClientParams()` 已过时。 获取此堆栈的客户端参数。
    `HttpParams` | `getOverrideParams()` 已过时。 获取此堆栈的覆盖参数。
    `Object` | `getParameter(String name)` 已过时。 从此堆栈获取参数。
    `HttpParams` | `getRequestParams()` 已过时。 获取此堆栈的请求参数。
    `boolean` | `removeParameter(String name)` 已过时。 不删除参数。
    `HttpParams` | `setParameter(String name, Object value)` 已过时。 不设置参数。

    - ### Methods inherited from class org.apache.http.params.AbstractHttpParams

      `getBooleanParameter, getDoubleParameter, getIntParameter, getLongParameter, getNames, isParameterFalse, isParameterTrue, setBooleanParameter, setDoubleParameter, setIntParameter, setLongParameter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### applicationParams

          protected final HttpParams applicationParams

      已过时。
      应用程序参数集合，或 `null` 。

    - #### clientParams

          protected final HttpParams clientParams

      已过时。
      客户端参数集合，或 `null` 。

    - #### requestParams

          protected final HttpParams requestParams

      已过时。
      请求参数集合，或 `null` 。

    - #### overrideParams

          protected final HttpParams overrideParams

      已过时。
      覆盖参数集合，或 `null` 。

  - ### 构造方法详细信息

    - #### ClientParamsStack

          public ClientParamsStack(HttpParams aparams,
                           HttpParams cparams,
                           HttpParams rparams,
                           HttpParams oparams)

      已过时。
      从元素创建一个新的参数堆栈。 参数将按原样存储，没有复制以防止修改。
      参数
        `aparams` - 应用参数，或 `null`
        `cparams` - 客户端参数，或 `null`
        `rparams` - 请求参数，或 `null`
        `oparams` - 覆盖参数，或 `null`

    - #### ClientParamsStack

          public ClientParamsStack(ClientParamsStack stack)

      已过时。
      创建参数堆栈的副本。 新堆栈将具有与参数堆栈完全相同的条目。 没有复制参数。
      参数
        `stack` - 要复制的堆栈

    - #### ClientParamsStack

          public ClientParamsStack(ClientParamsStack stack,
                           HttpParams aparams,
                           HttpParams cparams,
                           HttpParams rparams,
                           HttpParams oparams)

      已过时。
      创建参数堆栈的修改副本。 新堆栈将包含明确传递的元素。 对于显式参数为`null`的元素，将使用参数栈中的相应元素。 没有复制参数。
      参数
        `stack` - 要修改的堆栈
        `aparams` - 应用参数，或 `null`
        `cparams` - 客户端参数，或 `null`
        `rparams` - 请求参数，或 `null`
        `oparams` - 覆盖参数，或 `null`

  - ### 方法详细信息

    - #### getApplicationParams

          public final HttpParams getApplicationParams()

      已过时。
      获取此堆栈的应用程序参数。
      结果
        应用参数，或 `null`

    - #### getClientParams

          public final HttpParams getClientParams()

      已过时。
      获取此堆栈的客户端参数。
      结果
        客户端参数，或 `null`

    - #### getRequestParams

          public final HttpParams getRequestParams()

      已过时。
      获取此堆栈的请求参数。
      结果
        请求参数，或 `null`

    - #### getOverrideParams

          public final HttpParams getOverrideParams()

      已过时。
      获取此堆栈的覆盖参数。
      结果
        覆盖参数，或 `null`

    - #### getParameter

          public Object getParameter(String name)

      已过时。
      从此堆栈获取参数。 查看课堂评论搜索顺序。
      参数
        `name` - 要获取的参数的名称
      结果
        该参数的最高优先级值，或 `null`如果它不设置在此堆栈的任何位置

    - #### setParameter

          public HttpParams setParameter(String name,
                                Object value)
                                  throws UnsupportedOperationException

      已过时。
      不设置参数。 参数堆栈是只读的。 尽管不鼓励，可以访问和修改特定的堆栈条目。 派生类可能会改变这种行为。
      参数
        `name` - 忽略
        `value` - 忽略
      结果
        没有
      异常
        `UnsupportedOperationException` - 永远

    - #### removeParameter

          public boolean removeParameter(String name)

      已过时。
      不删除参数。 参数堆栈是只读的。 尽管不鼓励，可以访问和修改特定的堆栈条目。 派生类可能会改变这种行为。
      参数
        `name` - 忽略
      结果
        没有
      异常
        `UnsupportedOperationException` - 永远

    - #### copy

          public HttpParams copy()

      已过时。
      不复制参数。 参数堆栈是轻量级对象，预计将根据需要进行实例化，仅在非常具体的上下文中使用。 除此之外，它们是只读的。 因此，防止将应用程序传递给框架对象的参数意外修改的典型复制操作是无意义和禁用的。 如果真的需要一个副本，请创建一个新的堆栈。

      派生类可能会改变这种行为。

      结果
        `this`参数堆栈

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585